diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/quicktags.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/quicktags.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/quicktags.js	2012-08-22 19:04:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/quicktags.js	2013-06-21 07:45:11.000000000 -0500
***************
*** 8,14 ****
   * settings = {
   *   id : 'my_id',          the HTML ID of the textarea, required
   *   buttons: ''            Comma separated list of the names of the default buttons to show. Optional.
!  *                          Current list of default button names: 'strong,em,link,block,del,ins,img,ul,ol,li,code,more,spell,close';
   * }
   *
   * The settings can also be a string quicktags_id.
--- 8,14 ----
   * settings = {
   *   id : 'my_id',          the HTML ID of the textarea, required
   *   buttons: ''            Comma separated list of the names of the default buttons to show. Optional.
!  *                          Current list of default button names: 'strong,em,link,block,del,ins,img,ul,ol,li,code,more,close';
   * }
   *
   * The settings can also be a string quicktags_id.
***************
*** 229,235 ****
  
  	qt._buttonsInit = function() {
  		var t = this, canvas, name, settings, theButtons, html, inst, ed, id, i, use,
! 			defaults = ',strong,em,link,block,del,ins,img,ul,ol,li,code,more,spell,close,';
  
  		for ( inst in t.instances ) {
  			if ( inst == 0 )
--- 229,235 ----
  
  	qt._buttonsInit = function() {
  		var t = this, canvas, name, settings, theButtons, html, inst, ed, id, i, use,
! 			defaults = ',strong,em,link,block,del,ins,img,ul,ol,li,code,more,close,';
  
  		for ( inst in t.instances ) {
  			if ( inst == 0 )
***************
*** 296,309 ****
  	 *     QTags.addButton( 'my_id', 'my button', '<span>', '</span>' );
  	 *     QTags.addButton( 'my_id2', 'my button', '<br />' );
  	 *
! 	 * @param id string required Button HTML ID
! 	 * @param display string required Button's value="..."
! 	 * @param arg1 string || function required Either a starting tag to be inserted like "<span>" or a callback that is executed when the button is clicked.
! 	 * @param arg2 string optional Ending tag like "</span>"
! 	 * @param access_key string optional Access key for the button.
! 	 * @param title string optional Button's title="..."
! 	 * @param priority int optional Number representing the desired position of the button in the toolbar. 1 - 9 = first, 11 - 19 = second, 21 - 29 = third, etc.
! 	 * @param instance string optional Limit the button to a specifric instance of Quicktags, add to all instances if not present.
  	 * @return mixed null or the button object that is needed for back-compat.
  	 */
  	qt.addButton = function( id, display, arg1, arg2, access_key, title, priority, instance ) {
--- 296,309 ----
  	 *     QTags.addButton( 'my_id', 'my button', '<span>', '</span>' );
  	 *     QTags.addButton( 'my_id2', 'my button', '<br />' );
  	 *
! 	 * @param string id Required. Button HTML ID
! 	 * @param string display Required. Button's value="..."
! 	 * @param string|function arg1 Required. Either a starting tag to be inserted like "<span>" or a callback that is executed when the button is clicked.
! 	 * @param string arg2 Optional. Ending tag like "</span>"
! 	 * @param string access_key Optional. Access key for the button.
! 	 * @param string title Optional. Button's title="..."
! 	 * @param int priority Optional. Number representing the desired position of the button in the toolbar. 1 - 9 = first, 11 - 19 = second, 21 - 29 = third, etc.
! 	 * @param string instance Optional. Limit the button to a specifric instance of Quicktags, add to all instances if not present.
  	 * @return mixed null or the button object that is needed for back-compat.
  	 */
  	qt.addButton = function( id, display, arg1, arg2, access_key, title, priority, instance ) {
***************
*** 499,534 ****
  		}
  	};
  
! 	// the spell button
! 	qt.SpellButton = function() {
! 		qt.Button.call(this, 'spell', quicktagsL10n.lookup, '', quicktagsL10n.dictionaryLookup);
! 	};
! 	qt.SpellButton.prototype = new qt.Button();
! 	qt.SpellButton.prototype.callback = function(element, canvas, ed) {
! 		var word = '', sel, startPos, endPos;
! 
! 		if ( document.selection ) {
! 			canvas.focus();
! 			sel = document.selection.createRange();
! 			if ( sel.text.length > 0 ) {
! 				word = sel.text;
! 			}
! 		} else if ( canvas.selectionStart || canvas.selectionStart == '0' ) {
! 			startPos = canvas.selectionStart;
! 			endPos = canvas.selectionEnd;
! 			if ( startPos != endPos ) {
! 				word = canvas.value.substring(startPos, endPos);
! 			}
! 		}
! 
! 		if ( word === '' ) {
! 			word = prompt(quicktagsL10n.wordLookup, '');
! 		}
! 
! 		if ( word !== null && /^\w[\w ]*$/.test(word)) {
! 			window.open('http://www.answers.com/' + encodeURIComponent(word));
! 		}
! 	};
  
  	// the close tags button
  	qt.CloseButton = function() {
--- 499,506 ----
  		}
  	};
  
! 	// removed
! 	qt.SpellButton = function() {};
  
  	// the close tags button
  	qt.CloseButton = function() {
***************
*** 643,649 ****
  	edButtons[100] = new qt.TagButton('li','li','\t<li>','</li>\n','l'),
  	edButtons[110] = new qt.TagButton('code','code','<code>','</code>','c'),
  	edButtons[120] = new qt.TagButton('more','more','<!--more-->','','t'),
- 	edButtons[130] = new qt.SpellButton(),
  	edButtons[140] = new qt.CloseButton()
  
  })();
--- 615,620 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/thickbox/thickbox.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/thickbox/thickbox.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/thickbox/thickbox.js	2012-11-05 15:00:15.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/thickbox/thickbox.js	2013-02-28 12:05:28.000000000 -0600
***************
*** 20,26 ****
  
  //add thickbox to href & area elements that have a class of .thickbox
  function tb_init(domChunk){
! 	jQuery(domChunk).live('click', tb_click);
  }
  
  function tb_click(){
--- 20,26 ----
  
  //add thickbox to href & area elements that have a class of .thickbox
  function tb_init(domChunk){
! 	jQuery('body').on('click', domChunk, tb_click);
  }
  
  function tb_click(){
***************
*** 230,239 ****
  					jQuery("#TB_window").css({'visibility':'visible'});
  				}else if(url.indexOf('TB_iframe') != -1){
  					tb_position();
! 					if(jQuery.browser.safari){//safari needs help because it will not fire iframe onload
! 						jQuery("#TB_load").remove();
! 						jQuery("#TB_window").css({'visibility':'visible'});
! 					}
  				}else{
  					jQuery("#TB_ajaxContent").load(url += "&random=" + (new Date().getTime()),function(){//to do a post change this load method
  						tb_position();
--- 230,237 ----
  					jQuery("#TB_window").css({'visibility':'visible'});
  				}else if(url.indexOf('TB_iframe') != -1){
  					tb_position();
! 					jQuery("#TB_load").remove();
! 					jQuery("#TB_window").css({'visibility':'visible'});
  				}else{
  					jQuery("#TB_ajaxContent").load(url += "&random=" + (new Date().getTime()),function(){//to do a post change this load method
  						tb_position();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/media/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/media/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/media/editor_plugin_src.js	2012-08-18 18:24:27.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/media/editor_plugin_src.js	2013-04-03 15:55:20.000000000 -0500
***************
*** 438,444 ****
  			}
  
  			// Add HTML5 video element
! 			if (typeItem.name === 'Video' && data.video.sources[0]) {
  				// Create new object element
  				video = new Node('video', 1).attr(tinymce.extend({
  					id : node.attr('id'),
--- 438,444 ----
  			}
  
  			// Add HTML5 video element
! 			if (typeItem.name === 'Video' && data.video.sources && data.video.sources[0]) {
  				// Create new object element
  				video = new Node('video', 1).attr(tinymce.extend({
  					id : node.attr('id'),
***************
*** 477,483 ****
  			}
  
  			// Add HTML5 audio element
! 			if (typeItem.name === 'Audio' && data.video.sources[0]) {
  				// Create new object element
  				audio = new Node('audio', 1).attr(tinymce.extend({
  					id : node.attr('id'),
--- 477,483 ----
  			}
  
  			// Add HTML5 audio element
! 			if (typeItem.name === 'Audio' && data.video.sources && data.video.sources[0]) {
  				// Create new object element
  				audio = new Node('audio', 1).attr(tinymce.extend({
  					id : node.attr('id'),
***************
*** 575,584 ****
  						type: typeItem.mimes[0]
  					});
  				} else {
! 					object.attr({
! 						classid: "clsid:" + typeItem.clsids[0],
! 						codebase: typeItem.codebase
! 					});
  
  					embed = new Node('embed', 1);
  					embed.shortEnded = true;
--- 575,583 ----
  						type: typeItem.mimes[0]
  					});
  				} else {
! 					if ( typeItem.clsids )
! 						object.attr('clsid', typeItem.clsids[0]);
! 					object.attr('codebase', typeItem.codebase);
  
  					embed = new Node('embed', 1);
  					embed.shortEnded = true;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js	2012-12-10 04:12:47.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js	2013-05-08 19:24:45.000000000 -0500
***************
*** 7,15 ****
  
  	tinymce.create('tinymce.plugins.WordPress', {
  		init : function(ed, url) {
! 			var t = this, tbId = ed.getParam('wordpress_adv_toolbar', 'toolbar2'), last = 0, moreHTML, nextpageHTML, closeOnClick, mod_key;
! 			moreHTML = '<img src="' + url + '/img/trans.gif" class="mceWPmore mceItemNoResize" title="'+ed.getLang('wordpress.wp_more_alt')+'" />';
! 			nextpageHTML = '<img src="' + url + '/img/trans.gif" class="mceWPnextpage mceItemNoResize" title="'+ed.getLang('wordpress.wp_page_alt')+'" />';
  
  			if ( getUserSetting('hidetb', '0') == '1' )
  				ed.settings.wordpress_adv_hidden = 0;
--- 7,15 ----
  
  	tinymce.create('tinymce.plugins.WordPress', {
  		init : function(ed, url) {
! 			var t = this, tbId = ed.getParam('wordpress_adv_toolbar', 'toolbar2'), last = 0, moreHTML, nextpageHTML, closeOnClick, mod_key, style;
! 			moreHTML = '<img src="' + url + '/img/trans.gif" class="mce-wp-more mceItemNoResize" title="'+ed.getLang('wordpress.wp_more_alt')+'" />';
! 			nextpageHTML = '<img src="' + url + '/img/trans.gif" class="mce-wp-nextpage mceItemNoResize" title="'+ed.getLang('wordpress.wp_page_alt')+'" />';
  
  			if ( getUserSetting('hidetb', '0') == '1' )
  				ed.settings.wordpress_adv_hidden = 0;
***************
*** 133,138 ****
--- 133,150 ----
  						}
  					}
  				}
+ 
+ 				if ( tinymce.isWebKit && ( 'InsertUnorderedList' == cmd || 'InsertOrderedList' == cmd ) ) {
+ 					if ( !style )
+ 						style = ed.dom.create('style', {'type': 'text/css'}, '#tinymce,#tinymce span,#tinymce li,#tinymce li>span,#tinymce p,#tinymce p>span{font:medium sans-serif;color:#000;line-height:normal;}');
+ 
+ 					ed.getDoc().head.appendChild( style );
+ 				}
+ 			});
+ 
+ 			ed.onExecCommand.add( function( ed, cmd, ui, val ) {
+ 				if ( tinymce.isWebKit && style && ( 'InsertUnorderedList' == cmd || 'InsertOrderedList' == cmd ) )
+ 					ed.dom.remove( style );
  			});
  
  			ed.onInit.add(function(ed) {
***************
*** 217,228 ****
  			});
  
  			ed.onSaveContent.add(function(ed, o) {
! 				if ( ed.getParam('wpautop', true) && typeof(switchEditors) == 'object' ) {
! 					if ( ed.isHidden() )
! 						o.content = o.element.value;
! 					else
! 						o.content = switchEditors.pre_wpautop(o.content);
! 				}
  			});
  
  			/* disable for now
--- 229,239 ----
  			});
  
  			ed.onSaveContent.add(function(ed, o) {
! 				// If editor is hidden, we just want the textarea's value to be saved
! 				if ( ed.isHidden() )
! 					o.content = o.element.value;
! 				else if ( ed.getParam('wpautop', true) && typeof(switchEditors) == 'object' )
! 					o.content = switchEditors.pre_wpautop(o.content);
  			});
  
  			/* disable for now
***************
*** 372,388 ****
  		_handleMoreBreak : function(ed, url) {
  			var moreHTML, nextpageHTML;
  
! 			moreHTML = '<img src="' + url + '/img/trans.gif" alt="$1" class="mceWPmore mceItemNoResize" title="'+ed.getLang('wordpress.wp_more_alt')+'" />';
! 			nextpageHTML = '<img src="' + url + '/img/trans.gif" class="mceWPnextpage mceItemNoResize" title="'+ed.getLang('wordpress.wp_page_alt')+'" />';
  
  			// Display morebreak instead if img in element path
  			ed.onPostRender.add(function() {
  				if (ed.theme.onResolveName) {
  					ed.theme.onResolveName.add(function(th, o) {
  						if (o.node.nodeName == 'IMG') {
! 							if ( ed.dom.hasClass(o.node, 'mceWPmore') )
  								o.name = 'wpmore';
! 							if ( ed.dom.hasClass(o.node, 'mceWPnextpage') )
  								o.name = 'wppage';
  						}
  
--- 383,399 ----
  		_handleMoreBreak : function(ed, url) {
  			var moreHTML, nextpageHTML;
  
! 			moreHTML = '<img src="' + url + '/img/trans.gif" alt="$1" class="mce-wp-more mceItemNoResize" title="'+ed.getLang('wordpress.wp_more_alt')+'" />';
! 			nextpageHTML = '<img src="' + url + '/img/trans.gif" class="mce-wp-nextpage mceItemNoResize" title="'+ed.getLang('wordpress.wp_page_alt')+'" />';
  
  			// Display morebreak instead if img in element path
  			ed.onPostRender.add(function() {
  				if (ed.theme.onResolveName) {
  					ed.theme.onResolveName.add(function(th, o) {
  						if (o.node.nodeName == 'IMG') {
! 							if ( ed.dom.hasClass(o.node, 'mce-wp-more') )
  								o.name = 'wpmore';
! 							if ( ed.dom.hasClass(o.node, 'mce-wp-nextpage') )
  								o.name = 'wppage';
  						}
  
***************
*** 402,412 ****
  			ed.onPostProcess.add(function(ed, o) {
  				if (o.get)
  					o.content = o.content.replace(/<img[^>]+>/g, function(im) {
! 						if (im.indexOf('class="mceWPmore') !== -1) {
  							var m, moretext = (m = im.match(/alt="(.*?)"/)) ? m[1] : '';
  							im = '<!--more'+moretext+'-->';
  						}
! 						if (im.indexOf('class="mceWPnextpage') !== -1)
  							im = '<!--nextpage-->';
  
  						return im;
--- 413,423 ----
  			ed.onPostProcess.add(function(ed, o) {
  				if (o.get)
  					o.content = o.content.replace(/<img[^>]+>/g, function(im) {
! 						if (im.indexOf('class="mce-wp-more') !== -1) {
  							var m, moretext = (m = im.match(/alt="(.*?)"/)) ? m[1] : '';
  							im = '<!--more'+moretext+'-->';
  						}
! 						if (im.indexOf('class="mce-wp-nextpage') !== -1)
  							im = '<!--nextpage-->';
  
  						return im;
***************
*** 415,422 ****
  
  			// Set active buttons if user selected pagebreak or more break
  			ed.onNodeChange.add(function(ed, cm, n) {
! 				cm.setActive('wp_page', n.nodeName === 'IMG' && ed.dom.hasClass(n, 'mceWPnextpage'));
! 				cm.setActive('wp_more', n.nodeName === 'IMG' && ed.dom.hasClass(n, 'mceWPmore'));
  			});
  		}
  	});
--- 426,433 ----
  
  			// Set active buttons if user selected pagebreak or more break
  			ed.onNodeChange.add(function(ed, cm, n) {
! 				cm.setActive('wp_page', n.nodeName === 'IMG' && ed.dom.hasClass(n, 'mce-wp-nextpage'));
! 				cm.setActive('wp_more', n.nodeName === 'IMG' && ed.dom.hasClass(n, 'mce-wp-more'));
  			});
  		}
  	});
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wpdialogs/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wpdialogs/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wpdialogs/editor_plugin_src.js	2012-02-18 00:43:47.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wpdialogs/editor_plugin_src.js	2013-02-15 10:26:46.000000000 -0600
***************
*** 2,8 ****
   * editor_plugin_src.js
   *
   * Copyright 2009, Moxiecode Systems AB
!  * Released under LGPL License.
   *
   * License: http://tinymce.moxiecode.com/license
   * Contributing: http://tinymce.moxiecode.com/contributing
--- 2,8 ----
   * editor_plugin_src.js
   *
   * Copyright 2009, Moxiecode Systems AB
!  * Released under LGPL
   *
   * License: http://tinymce.moxiecode.com/license
   * Contributing: http://tinymce.moxiecode.com/contributing
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.js	2012-08-22 19:04:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.js	2013-03-03 22:23:00.000000000 -0600
***************
*** 6,12 ****
   * ------------------------------------------------------------------
   *
   * Copyright 2009, Moxiecode Systems AB
!  * Released under LGPL License.
   *
   * License: http://tinymce.moxiecode.com/license
   * Contributing: http://tinymce.moxiecode.com/contributing
--- 6,12 ----
   * ------------------------------------------------------------------
   *
   * Copyright 2009, Moxiecode Systems AB
!  * Released under LGPL
   *
   * License: http://tinymce.moxiecode.com/license
   * Contributing: http://tinymce.moxiecode.com/contributing
***************
*** 155,161 ****
  
  	/**
  	 * Stores the current editor selection for later restoration. This can be useful since some browsers
! 	 * looses it's selection if a control element is selected/focused inside the dialogs.
  	 *
  	 * @method storeSelection
  	 */
--- 155,161 ----
  
  	/**
  	 * Stores the current editor selection for later restoration. This can be useful since some browsers
! 	 * loses its selection if a control element is selected/focused inside the dialogs.
  	 *
  	 * @method storeSelection
  	 */
***************
*** 165,171 ****
  
  	/**
  	 * Restores any stored selection. This can be useful since some browsers
! 	 * looses it's selection if a control element is selected/focused inside the dialogs.
  	 *
  	 * @method restoreSelection
  	 */
--- 165,171 ----
  
  	/**
  	 * Restores any stored selection. This can be useful since some browsers
! 	 * loses its selection if a control element is selected/focused inside the dialogs.
  	 *
  	 * @method restoreSelection
  	 */
***************
*** 246,252 ****
  	},
  
  	/**
! 	 * Creates a alert dialog. Please don't use the blocking behavior of this
  	 * native version use the callback method instead then it can be extended.
  	 *
  	 * @method alert
--- 246,252 ----
  	},
  
  	/**
! 	 * Creates an alert dialog. Please don't use the blocking behavior of this
  	 * native version use the callback method instead then it can be extended.
  	 *
  	 * @method alert
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js	2012-09-23 22:08:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js	2013-02-15 10:26:46.000000000 -0600
***************
*** 1,7 ****
  /**
   * WP Fullscreen TinyMCE plugin
   *
!  * Contains code from Moxiecode Systems AB released under LGPL License http://tinymce.moxiecode.com/license
   */
  
  (function() {
--- 1,7 ----
  /**
   * WP Fullscreen TinyMCE plugin
   *
!  * Contains code from Moxiecode Systems AB released under LGPL http://tinymce.moxiecode.com/license
   */
  
  (function() {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js	2012-11-30 09:19:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js	2013-05-08 19:24:45.000000000 -0500
***************
*** 23,29 ****
  					return;
  
  				// Make sure we've selected a gallery node.
! 				if ( el.nodeName != 'IMG' || ed.dom.getAttrib(el, 'class').indexOf('wpGallery') == -1 )
  					return;
  
  				frame = gallery.edit( '[' + ed.dom.getAttrib( el, 'title' ) + ']' );
--- 23,29 ----
  					return;
  
  				// Make sure we've selected a gallery node.
! 				if ( el.nodeName != 'IMG' || ed.dom.getAttrib(el, 'class').indexOf('wp-gallery') == -1 )
  					return;
  
  				frame = gallery.edit( '[' + ed.dom.getAttrib( el, 'title' ) + ']' );
***************
*** 40,46 ****
  					ed.dom.events.add(ed.getBody(), 'touchstart', function(e){
  						var target = e.target;
  
! 						if ( target.nodeName == 'IMG' && ed.dom.hasClass(target, 'wpGallery') ) {
  							ed.selection.select(target);
  							ed.dom.events.cancel(e);
  							ed.plugins.wordpress._hideButtons();
--- 40,46 ----
  					ed.dom.events.add(ed.getBody(), 'touchstart', function(e){
  						var target = e.target;
  
! 						if ( target.nodeName == 'IMG' && ed.dom.hasClass(target, 'wp-gallery') ) {
  							ed.selection.select(target);
  							ed.dom.events.cancel(e);
  							ed.plugins.wordpress._hideButtons();
***************
*** 51,57 ****
  			});
  
  			ed.onMouseDown.add(function(ed, e) {
! 				if ( e.target.nodeName == 'IMG' && ed.dom.hasClass(e.target, 'wpGallery') ) {
  					ed.plugins.wordpress._hideButtons();
  					ed.plugins.wordpress._showButtons(e.target, 'wp_gallerybtns');
  				}
--- 51,57 ----
  			});
  
  			ed.onMouseDown.add(function(ed, e) {
! 				if ( e.target.nodeName == 'IMG' && ed.dom.hasClass(e.target, 'wp-gallery') ) {
  					ed.plugins.wordpress._hideButtons();
  					ed.plugins.wordpress._showButtons(e.target, 'wp_gallerybtns');
  				}
***************
*** 69,75 ****
  
  		_do_gallery : function(co) {
  			return co.replace(/\[gallery([^\]]*)\]/g, function(a,b){
! 				return '<img src="'+tinymce.baseURL+'/plugins/wpgallery/img/t.gif" class="wpGallery mceItem" title="gallery'+tinymce.DOM.encode(b)+'" />';
  			});
  		},
  
--- 69,75 ----
  
  		_do_gallery : function(co) {
  			return co.replace(/\[gallery([^\]]*)\]/g, function(a,b){
! 				return '<img src="'+tinymce.baseURL+'/plugins/wpgallery/img/t.gif" class="wp-gallery mceItem" title="gallery'+tinymce.DOM.encode(b)+'" />';
  			});
  		},
  
***************
*** 83,89 ****
  			return co.replace(/(?:<p[^>]*>)*(<img[^>]+>)(?:<\/p>)*/g, function(a,im) {
  				var cls = getAttr(im, 'class');
  
! 				if ( cls.indexOf('wpGallery') != -1 )
  					return '<p>['+tinymce.trim(getAttr(im, 'title'))+']</p>';
  
  				return a;
--- 83,89 ----
  			return co.replace(/(?:<p[^>]*>)*(<img[^>]+>)(?:<\/p>)*/g, function(a,im) {
  				var cls = getAttr(im, 'class');
  
! 				if ( cls.indexOf('wp-gallery') != -1 )
  					return '<p>['+tinymce.trim(getAttr(im, 'title'))+']</p>';
  
  				return a;
***************
*** 130,136 ****
  			tinymce.dom.Event.add(dellButton, 'mousedown', function(e) {
  				var ed = tinymce.activeEditor, el = ed.selection.getNode();
  
! 				if ( el.nodeName == 'IMG' && ed.dom.hasClass(el, 'wpGallery') ) {
  					ed.dom.remove(el);
  
  					ed.execCommand('mceRepaint');
--- 130,136 ----
  			tinymce.dom.Event.add(dellButton, 'mousedown', function(e) {
  				var ed = tinymce.activeEditor, el = ed.selection.getNode();
  
! 				if ( el.nodeName == 'IMG' && ed.dom.hasClass(el, 'wp-gallery') ) {
  					ed.dom.remove(el);
  
  					ed.execCommand('mceRepaint');
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js	2012-07-12 19:26:49.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js	2012-12-20 09:55:32.000000000 -0600
***************
*** 2,8 ****
  	tinymce.create('tinymce.plugins.wpLink', {
  		/**
  		 * Initializes the plugin, this will be executed after the plugin has been created.
! 		 * This call is done before the editor instance has finished it's initialization so use the onInit event
  		 * of the editor instance to intercept that event.
  		 *
  		 * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
--- 2,8 ----
  	tinymce.create('tinymce.plugins.wpLink', {
  		/**
  		 * Initializes the plugin, this will be executed after the plugin has been created.
! 		 * This call is done before the editor instance has finished its initialization so use the onInit event
  		 * of the editor instance to intercept that event.
  		 *
  		 * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/wp-tinymce-schema.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/wp-tinymce-schema.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/tinymce/wp-tinymce-schema.js	2012-12-27 16:37:09.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/tinymce/wp-tinymce-schema.js	2013-02-15 10:26:46.000000000 -0600
***************
*** 4,10 ****
   * Duck-punched by WordPress core to support a sane schema superset.
   *
   * Copyright, Moxiecode Systems AB
!  * Released under LGPL License.
   *
   * License: http://www.tinymce.com/license
   * Contributing: http://www.tinymce.com/contributing
--- 4,10 ----
   * Duck-punched by WordPress core to support a sane schema superset.
   *
   * Copyright, Moxiecode Systems AB
!  * Released under LGPL
   *
   * License: http://www.tinymce.com/license
   * Contributing: http://www.tinymce.com/contributing
***************
*** 441,447 ****
  		textBlockElementsMap = createLookupTable('text_block_elements', 'h1 h2 h3 h4 h5 h6 p div address pre form ' +
  						'blockquote center dir fieldset header footer article section hgroup aside nav figure');
  		blockElementsMap = createLookupTable('block_elements', 'hr table tbody thead tfoot ' +
! 						'th tr td li ol ul caption dl dt dd noscript menu isindex samp option datalist select optgroup', textBlockElementsMap);
  
  		// Converts a wildcard expression string to a regexp for example *a will become /.*a/.
  		function patternToRegExp(str) {
--- 441,447 ----
  		textBlockElementsMap = createLookupTable('text_block_elements', 'h1 h2 h3 h4 h5 h6 p div address pre form ' +
  						'blockquote center dir fieldset header footer article section hgroup aside nav figure');
  		blockElementsMap = createLookupTable('block_elements', 'hr table tbody thead tfoot ' +
! 						'th tr td li ol ul caption dl dt dd noscript menu isindex option datalist select optgroup', textBlockElementsMap);
  
  		// Converts a wildcard expression string to a regexp for example *a will become /.*a/.
  		function patternToRegExp(str) {
